﻿using System;
using System.IO;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;
using appointmentReminder.Class;

namespace appointmentReminder
{
	class MainClass
	{

		public static void Main(string[] args)
		{
			JObject properties = JObject.Parse(File.ReadAllText(@"../../Resources/properties.json"));

			MessageHandler messageHandler = new MessageHandler(properties.GetValue("appKey").ToString(), properties.GetValue("appSecret").ToString(), properties.GetValue("defaultOrigin").ToString());

			Specialization cardio = new Specialization(1, "Cardiology");
			Doctor doctor = new Doctor("1", "Christina", "Yang", cardio);
			Person patient = new Person("2", "Steven", "Gorwell", "+2349092054");
			DateTime bookingDate = new DateTime(2018, 06, 18, 16, 0, 0);

			Appointment appointment = new Appointment(doctor, patient, bookingDate);

			String message = "Mr/Ms " + appointment.Patient.getFullName() + ", you have an appointment with Dr. " + appointment.Doctor.getFullName()
												   + "(" + appointment.Doctor.Specialization.Name + ") scheduled on " + appointment.Date.ToString("D") + " at "
												   + appointment.Date.ToString("t");
			Console.WriteLine("Sending appointment reminder...");
			messageHandler.sendMessage(message, appointment.Patient.PhoneNumber);
		}
	}
}
